ITPub博客

首页 > Linux操作系统 > Linux操作系统 > 高版本导出dump文件导入至低版本库中问题小结

高版本导出dump文件导入至低版本库中问题小结

原创 Linux操作系统 作者:buliaoqingtian 时间:2019-07-12 15:57:05 0 删除 编辑

高版本导出dump文件导入至低版本库中问题小结

在将高版本数据库导出的dump文件导入至10g数据库,会遇到下面三个错误代码

ORA-39001invalid argument value

ORA-39000bad dump file specification

ORA-39142incompatible version number 3.1 in dump file “/home/oracle/dump/exp.dmp”

出现上面问题,是因为版本不兼容的问题,需要在源端导出程序中增加version这个参数,参数值是目标端的数据库版本号。具体请见下面例子

例子

源端版本  11.2.0.3

目标端版本:10.2.0.1.0

源端导出

Expdp zzz/oracle@clodb directory=dump  dumpfile=exp_zzz.dmp schemas=zzz version=10.2.0.1.0

目标端导入

    Impdp  ppp/oracle@leijj directory=dump  dumpfile=exp_zzz.dmp schemas=zzz remap_schema=zzz:ppp

来自 “ ITPUB博客 ” ,链接:http://blog.itpub.net/526592/viewspace-742066/,如需转载,请注明出处,否则将追究法律责任。

下一篇: DBFC 功能
请登录后发表评论 登录
全部评论

注册时间:2005-08-03

  • 博文量
    88
  • 访问量
    66996